Skip to main content
POST
Create event

Authorizations

Authorization
string
header
required

JWT Bearer token or raw API key via Authorization header

Query Parameters

sync
boolean

Process immediately and return processing errors

processing_mode
string

Set to sync for immediate processing

Body

application/json

Event payload

action
string
amount
number
auto_create_contact
boolean
email
string

One of email or uid is required to identify the contact.

Example:

"user@example.com"

external_id
string
feature
string
idempotency_key
string
metadata
object
plan
string
source
string
status
string
ts
string
type
string
Example:

"purchase"

uid
string
Example:

"usr_abc123"

upgrade
boolean

Response

Duplicate idempotency_key: existing event returned

data
object
errors
object[]
message
string
Example:

"Operation successful"

meta
object
success
boolean
Example:

true